Subject: [Teas] Plan for progressing merger of network slicing drafts

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 13 Apr 2021 10:47:42 +0100

Hi TEAS,

I wanted to let you know my plans for merging the network slicing drafts.

As you know, the chairs believe it would be best to have one document that
covers the terminology and architecture of IETF network slices. What I am
going to do is...

1. Start a fresh document called draft-ietf-teas-ietf-network-slice
- Authorship
   - I'll make everyone who was an author on the two foundation documents
     an author on the new document
   - Make everyone who was a contributor on the two foundation documents
     a contributor on the new document
   - You are all welcome to ask for a 'demotion' if you like
- Merge
   - The -00 version will be a very simple merge.
   - I will take all text from both documents and include it.
   - Note that the Table of Contents will not directly follow either
document
     since that would be impossible, but the flow should be relatively
simple.
   - I will use tags to show where the text came from.
   - If I don't include text (at the moment I see no reason to not include
any
     text) I will place it in an appendix so it is not lost.
- No new text and no changes
   - This version will not introduce new text or make any changes to text
- Post the document without asking for permission or review

2. Make an Editor's revision -01
- Merge
   - In this version I will attempt to merge the text by removing
duplication and
     by streamlining
- No new text
   - This version will not introduce new text, and changes made will only be
      editorial for the sake of merging. It will not be the intention to
make
      changes to the intention of the foundation documents.
- Post the document without asking for permission or review

3. Open the gates for discussion
- Normal WG discussion can follow

4. Strategic changes
- Sections and topics
   - We have already seen a couple of sections/topics raised on the list
   - This seems like a good way forward:
       - Pick a section or topic
       - Explain the issue you have with the current text
       - Suggest new text
       - WG debates to consensus
       - I update the section in the document and post it
- Teleconferences for debate
   - We should have meetings (interims? Interested parties?) to do work
   - Each meeting should be dedicated to one or more topics or sections
   - May do real-time edits based on previously proposed text

5. Revisions
- I like posting new versions of a document relatively frequently

6. Does the editor drive?
- I hope you will be suggesting text and ideas
- Failing that, I will be supplying suggestions and asking for agreement

Hope this will work for all of you.

Best,
Adrian